.LoginButton{
  font-size:21px;
  color:rgb(0, 65, 155);
  padding: 3px;
  padding-left: 8px;
  padding-right: 8px;
  border-radius:5px;
  border-color:rgb(0, 65, 155);
  border-style: solid;
  margin: 8px;
  max-height: 40px;
  text-align: center;
}
.LoginButton:hover{
  background-color: rgb(0, 65, 155);
  color: white;
}
.LoginButton.hover{
  background-color: rgb(0, 65, 155);
  color: white;
}

.JM_aceptButton{
  background-color:hsl(227,72%,50%);
  color:white;
  width: 144px;
  text-align: center;
  border-radius: 5px;
  display: inline-block;
}
.JM_aceptButton:hover{
  background-color:hsl(227,72%,65%);
}

.JM_defaultButton{
  background-color:hsl(227,72%,50%);
  color:white;
  width: 144px;
  text-align: center;
  border-radius: 5px;
  display: inline-block; 
  width:32%;
  height:24px;
  vertical-align: top;
}
.JM_defaultButton:hover{
  background-color:hsl(227,72%,65%);
}

.JM_cancelButton{
  background-color: hsl(356,86%,42%);
  color:white;
  width: 144px;
  text-align: center;
  border-radius: 5px;
}
.JM_cancelButton:hover{
  background-color: hsl(356,86%,49%);
}

.JM_deleteButton{
  background: url("../img/deleteBlue.png") no-repeat;
  background-size: 27px;
  vertical-align: middle;
  height: 27px;
  width: 27px;
  margin-right: 31px;
  margin-left:31px;
  margin-top: 13px;
}

/*Buttons with images*/
.JM_deleteButton:hover{
  background: url("../img/deleteRed.png") no-repeat;
  background-size: 27px; 
}
.JM_searchButton{
  background: url("../img/search.png") no-repeat;
  background-size: 21px;
  margin: 1.5px;
  vertical-align: middle;
  height: 21px;
  width: 21px;
}
.JM_searchButton:hover{
  background-size: 24px;
  height: 24px;
  width: 24px;
  margin: 0px;
}
.JM_stopSearchButton{
  background: url("../img/stop-search.png") no-repeat;
  background-size: 21px;
  margin: 1.5px;
  vertical-align: middle;
  height: 21px;
  width: 21px;
}
.JM_stopSearchButton:hover{
  background-size: 24px;
  height: 24px;
  width: 24px;
  margin: 0px;
}
.JM_sortDownButton{
  background: url("../img/sort-down.png") no-repeat;
  background-size: 21px;
  margin: 1.5px;
  vertical-align: middle;
  height: 21px;
  width: 21px;
}
.JM_sortDownButton:hover{
  background-size: 24px;
  height: 24px;
  width: 24px;
  margin: 0px;
}
.JM_expandButton{
  background: url("../img/expand.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_expandCodeButton{
  background: url("../img/expand.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_listButton{
  background: url("../img/list.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_editButton{
  background: url("../img/edit.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_saveButton{
  background: url("../img/save.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_dontSaveButton{
  background: url("../img/dont-save.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_addButton{
  background: url("../img/add.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_suggestionsActiveButton{
  background: url("../img/suggestions_active.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_suggestionsInactiveButton{
  background: url("../img/suggestions_inactive.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_likeButton{
  background: url("../img/like.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_thanks{
  background: url("../img/thanks.png") no-repeat;
  background-size: 34px;
  height: 34px;
  width: 34px;
}
.JM_correctCodeButton{
  background: url("../img/correct-code.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_wrongCodeButton{
  background: url("../img/wrong-code.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_splitHorizontal{
  background: url("../img/split-horizontal.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_splitVertical{
  background: url("../img/split-vertical.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_unHighlight{
  background: url("../img/unhighlight.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_clearConsole{
  background: url("../img/clear.png") no-repeat;
  background-size: 15px;
  height: 15px;
  width: 15px;
}
.JM_minimizeConsole{
  background: url("../img/minimize.png") no-repeat;
  background-size: 15px;
  height: 15px;
  width: 15px;
}
.JM_maximizeConsole{
  background: url("../img/maximize.png") no-repeat;
  background-size: 15px;
  height: 15px;
  width: 15px;
}
.JM_hide{
  background: url("../img/hide.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_show{
  background: url("../img/show.png") no-repeat;
  background-size: 30px;
  height: 30px;
  width: 30px;
}
.JM_run{
  background: url("../img/run.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_uncompilable{
  background: url("../img/uncompilable.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_loading_0{
  background: url("../img/loading_0.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_loading_1{
  background: url("../img/loading_1.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_loading_2{
  background: url("../img/loading_2.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_restore{
  background: url("../img/restore.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_next{
  background: url("../img/next.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_previous{
  background: url("../img/previous.png") no-repeat;
  background-size: 25px;
  height: 25px;
  width: 25px;
}
.JM_imageButton{
  border-radius: 5px;
  padding: 3px;
  margin-top: 3px;
  margin-bottom: 3px;
  vertical-align: center;
}
.JM_imageButton:hover{
  background-color:hsl(227,72%,80%);
}


.multibutton{
  color: rgb(0, 65, 155);
  border-color: rgb(0, 65, 155);
  border-style: solid;
}
.multibutton.selected, .multibutton:hover{
  background-color: rgb(0, 65, 155);
  color:white;
}
.multibutton.left{
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}
.multibutton.right{
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}


